# Uses of Interface
org.eclipse.birt.report.engine.content.IPageContent

Packages that use IPageContent
Package
Description
org.eclipse.birt.report.engine.content
Defines interfaces of BIRT report items for Engine to pass from executors to emitters.
org.eclipse.birt.report.engine.emitter
Defines the interfaces of report emitters, and also provides serval general classes for emitters to output XML document, process hyperline, etc.

## Uses of IPageContent in org.eclipse.birt.report.engine.content

Methods in org.eclipse.birt.report.engine.content that return IPageContent
Modifier and Type
Method
Description
`IPageContent`
IReportContent.`createPageContent()`
create a page content.
`IPageContent`
IReportContent.`getPageContent(long pageNumber)`
The page content in the report content.
Methods in org.eclipse.birt.report.engine.content with parameters of type IPageContent
Modifier and Type
Method
Description
`Object`
IContentVisitor.`visitPage(IPageContent page, Object value)`

## Uses of IPageContent in org.eclipse.birt.report.engine.emitter

Methods in org.eclipse.birt.report.engine.emitter with parameters of type IPageContent
Modifier and Type
Method
Description
`void`
IContentEmitter.`endPage(IPageContent page)`
Page end
`void`
IContentEmitter.`startPage(IPageContent page)`
Start a page